<div class="spinner-container" *ngIf="fetching">
  <div class="spinner-border" role="status">
    <span class="sr-only"></span>
  </div>
</div>

<div class="container" *ngIf="game">
  <div class="row justify-content-center text-center">
    <div class="col-md-8 mb-3 mt-2" *ngIf="scoreboard">
      <app-game [game]="game" *ngIf="game"></app-game>
    </div>
    <h2>Scoreboard</h2>
  </div>
  <div class="row" *ngIf="scoreboard">
    <ul class="list-group list-group-horizontal">
      <li class="list-group-item list-group-item-primary">
        <strong>Position</strong>
      </li>
      <li class="list-group-item list-group-item-primary">
        <strong>Name</strong>
      </li>
      <li class="list-group-item list-group-item-primary">
        <strong>Fighting Points</strong>
      </li>
      <li class="list-group-item list-group-item-primary">
        <strong>Mining Points</strong>
      </li>
      <li class="list-group-item list-group-item-primary">
        <strong>Trading Points</strong>
      </li>
      <li class="list-group-item list-group-item-primary">
        <strong>Travel Points</strong>
      </li>
      <li class="list-group-item list-group-item-primary">
        <strong>Total Points</strong>
      </li>
    </ul>
    <ul class="list-group list-group-horizontal" *ngFor="
        let entrie of scoreboard.scoreboardEntriesWithAchievements;
        let i = index
      ">
      <li class="list-group-item" *ngIf="i + 1 === 1"><strong>{{ i + 1 }}</strong></li>
      <li class="list-group-item" *ngIf="i + 1 !== 1">{{ i + 1 }}</li>
      <li class="list-group-item">{{ entrie.player.name }}</li>
      <li class="list-group-item">{{ entrie.fightingScore }}</li>
      <li class="list-group-item">{{ entrie.miningScore }}</li>
      <li class="list-group-item">{{ entrie.tradingScore }}</li>
      <li class="list-group-item">{{ entrie.travelingScore }}</li>
      <li class="list-group-item">{{ entrie.totalScore }}</li>
    </ul>
  </div>
  <br />
  <div class="row justify-content-center text-center" *ngIf="scoreboard">
    <h2>Achievements</h2>
    <table class="table table-bordered">
      <thead>
        <tr>
          <th>Player Name</th>
          <th>Mining</th>
          <th>Traveling</th>
          <th>Trading</th>
          <th>Fighting</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let entry of scoreboard.scoreboardEntriesWithAchievements">
          <td>{{ entry.player.name }}</td>

          <!-- Mining Achievements -->
          <td>
            <ng-container *ngFor="let achievement of entry.achievements">
              <div *ngIf="
                  achievement.achievement.category === 'MINING' && achievement.gameId === game.gameId
                " class="achievement-badge">
                <img [src]="achievement.achievement.image" alt="Mining Achievement"
                  title="{{ achievement.achievement.name }} " style="width: 100px" />
              </div>
            </ng-container>
          </td>

          <!-- Traveling Achievements -->
          <td>
            <ng-container *ngFor="let achievement of entry.achievements">
              <div *ngIf="
                  achievement.achievement.category === 'TRAVELING' && achievement.gameId === game.gameId
                " class="achievement-badge">
                <img [src]="achievement.achievement.image" alt="Traveling Achievement"
                  title="{{ achievement.achievement.name }}" style="width: 100px" />
              </div>
            </ng-container>
          </td>

          <!-- Trading Achievements -->
          <td>
            <ng-container *ngFor="let achievement of entry.achievements">
              <div *ngIf="
                  achievement.achievement.category === 'TRADING' && achievement.gameId === game.gameId
                " class="achievement-badge">
                <img [src]="achievement.achievement.image" alt="Trading Achievement"
                  title="{{ achievement.achievement.name }}" style="width: 100px" />
              </div>
            </ng-container>
          </td>

          <!-- Fighting Achievements -->
          <td>
            <ng-container *ngFor="let achievement of entry.achievements">
              <div *ngIf="
                  achievement.achievement.category === 'FIGHTING' && achievement.gameId === game.gameId
                " class="achievement-badge">
                <img [src]="achievement.achievement.image" alt="Fighting Achievement"
                  title="{{ achievement.achievement.name }}" style="width: 100px" />
              </div>
            </ng-container>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
